GUIX(GC)

NAME
guix gc (GNU Guix) - manual page for guix gc (GNU Guix) 1.3.0

SYNOPSIS
guix gc [OPTION]... PATHS...

DESCRIPTION
Invoke the garbage collector.

-C, --collect-garbage[=MIN]
    collect at least MIN bytes of garbage

-F, --free-space=FREE
    attempt to reach FREE available space in the store

-d, --delete-generations[=PATTERN]
    delete profile generations matching PATTERN

-D, --delete
    attempt to delete PATHS

--list-roots
    list the user's garbage collector roots

--list-busy
    list store items used by running processes

--optimize
    optimize the store by deduplicating identical files

--list-dead
    list dead paths

--list-live
    list live paths

--references
    list the references of PATHS

-R, --requisites
    list the requisites of PATHS

--referrers
    list the referrers of PATHS

--derivers
    list the derivers of PATHS

--verify[=OPTS]
    verify the integrity of the store; OPTS is a comma-separated combination of 'repair' and 'contents'

--list-failures
    list cached build failures

--clear-failures
    remove PATHS from the set of cached failures

-h, --help
    display this help and exit

-V, --version
    display version information and exit

REPORTING BUGS
Report bugs to: bug-guix@gnu.org.
GNU Guix home page: <https://www.gnu.org/software/guix/>
General help using Guix and GNU software: <https://guix.gnu.org/en/help/>

COPYRIGHT
Copyright © 2021 the Guix authors License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for guix gc (GNU Guix) is maintained as a Texinfo manual. If the info and guix gc (GNU Guix) programs are properly installed at your site, the command

    info guix

should give you access to the complete manual.